<?php
/* $Id: overview.inc.php,v 1.4 2004/04/09 03:26:54 tdawson Exp $ */

// adding file revision into global array
if(function_exists("revisionInit")) revisionInit("\$Revision: 1.4 $", __FILE__);

// Function project_overview_list
// This should print a nice ordered list for the overview page
function project_overview_list($projectid,$parentid,$indent,&$rows)  {
    global $conn;


    // select tasks for project, sort by startdate
    $sql = 'SELECT task_id, title, description, hours, usedhours, billable, comments FROM mgw_projects_tasks WHERE project_id='.$projectid.' AND status=1 AND assignee='.$_SESSION['MGW']->userid.' AND parent_id='.$parentid.' ORDER BY startdate';
    if(!$tasks = $conn->Execute($sql)) exit(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
    while($task = $tasks->FetchRow()) {

        $task['indent'] = $indent;
        $row['tasks'][] = $task;
        $rows[] = $row;
        unset($row);


        //Recurssive
        project_overview_list($projectid,$task['task_id'],$indent+10,$rows);

    }
}

// =============================================================
// NEWS fuer Uebersicht holen
// =============================================================
function getprojects() {
    global $smarty, $conn, $myEnv;

    if(!query_access_module('projects'))
    return '';

    $rows = array();
    // tdawson: Sorting Projects display by StartDate
    $sql = 'SELECT DISTINCT project_id FROM mgw_projects_tasks WHERE status=1 AND assignee='.$_SESSION['MGW']->userid.' ORDER BY startdate ASC';
    if(!$projects = $conn->Execute($sql)) exit(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

    while($project = $projects->FetchRow()) {

        // fetch project name
        $sql = 'SELECT title from mgw_projects WHERE project_id='.$project['project_id'];
        if(!$pname = $conn->GetOne($sql)) exit(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
        $row['pid'] = $project['project_id'];
        $row['ptitle'] = $pname;

        // Push Project Info into Array
        $rows[]=$row;
        // Fetch all the tasks
        project_overview_list($row['pid'],0,0,$rows);
    }
    $smarty->assign('projects', $rows);
    return $smarty->fetch("file:".ROOTPATH."/modules/projects/templates/default/".$myEnv["output"]."/projects_overview.tpl");
}




?>

